%define api		1.0
%define major		17
%define libname 	%mklibname %{name} %{api} %{major}
%define libname_devel	%mklibname -d %{name}

# don't provide plugin .so
%define _exclude_files_from_autoprov %{_libdir}/gretl-gtk2/.*\\.so

Name:		gretl
Version:	2016b
Release:	%mkrel 4
Summary:	A tool for econometric analysis
Group:		Sciences/Mathematics
License:	GPLv3+ and BSD and MIT
URL:		http://gretl.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
#Licensing of plugins used in gretl
Source1:	gretl_plugins.txt
Patch0:		gretl-2016-flite.patch
Patch1:		gretl-1.9.12-linking.patch
Patch2:		gretl-2016b-fix-desktop-file.patch
BuildRequires:	R-base
BuildRequires:	blas-devel
BuildRequires:	curl-devel
BuildRequires:	desktop-file-utils
BuildRequires:	fftw-devel
BuildRequires:	flite-devel
BuildRequires:	fonts-ttf-bitstream-vera
BuildRequires:	fonts-ttf-freefont
BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildRequires:	gmp-devel
BuildRequires:	gnuplot
BuildRequires:	gtk3-devel
BuildRequires:	lapack-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libxml2-devel
BuildRequires:	mpfr-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	readline-devel
BuildRequires:	unixODBC-devel
Requires:	gnuplot
Requires:	R-base
Requires:	fonts-ttf-bitstream-vera
Requires:	fonts-ttf-freefont

%description
A cross-platform software package for econometric analysis,
written in the C programming language.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		Development/C

%description -n %{libname}
This package contains the shared library files for %{name}.

%package -n %{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C

%description -n %{libname_devel}
This package contains the development files for %{name}.

%prep
%setup -q
%patch0 -p1 -b .FL
%patch2 -p1 -b .desktop

# fix flite detection
# FIXME: edit macros/flite.m4 and fix failing autoreconf
sed -i -e 's:register_cmu_us_kal:register_cmu_us_kal16:' configure

# fix include path
sed -i -e 's:includedir=${prefix}/include:includedir=${prefix}/include/gretl:' gretl.pc.in

# plugins licensing notes
install -pm644 %{SOURCE1} .

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--with-libR \
	--with-odbc \
	--with-audio
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc ChangeLog CompatLog README.audio README gretl_plugins.txt
%{_bindir}/gretl*
%{_libdir}/gretl-gtk3/
%{_datadir}/gtksourceview-3.0/language-specs/*.lang
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libgretl-%{api}.so.%{major}
%{_libdir}/libgretl-%{api}.so.%{major}.*

%files -n %{libname_devel}
%{_libdir}/pkgconfig/gretl.pc
%{_libdir}/libgretl-%{api}.so
%{_includedir}/%{name}/


%changelog
* Fri Dec 02 2016 tmb <tmb> 2016b-4.mga6
+ Revision: 1071628
- rebuild for new openmpi

* Sat May 21 2016 daviddavid <daviddavid> 2016b-3.mga6
+ Revision: 1017352
- rebuild for new and fixed flite 2.0.0
- add some missing files (icons, desktop, mime packages, ...)

* Mon Apr 18 2016 shlomif <shlomif> 2016b-1.mga6
+ Revision: 1003390
- Add BR on json-glib
- New version 2016b

* Mon Feb 08 2016 umeabot <umeabot> 1.9.12-6.mga6
+ Revision: 947595
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.12-5.mga5
+ Revision: 749693
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.12-4.mga5
+ Revision: 679936
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.9.12-3.mga4
+ Revision: 532228
- Mageia 4 Mass Rebuild

  + wally <wally>
    - drop unneeded requires (gtksourceview will be pulled with libs)

* Sun Aug 18 2013 wally <wally> 1.9.12-2.mga4
+ Revision: 467569
- disable rpath

* Sun Aug 18 2013 wally <wally> 1.9.12-1.mga4
+ Revision: 467564
- new version 1.9.12
- new major 7
- build with flite (add P0 and %%setup hack)
- add patch to fix linking
- exclude plugin .so from provides
- BR curl-devel
- clean .spec

* Sat Jun 01 2013 malo <malo> 1.9.9-1.mga4
+ Revision: 434237
- fix man page listing

  + joequant <joequant>
    - check in changes
    - split out libs file
      clean up spec file
    - imported package gretl

